import stamp.core.*;
import dtf.core.*;
// note = change the length byte when reading serial number or part number from EEPROM
public class xDTF_Proto_Old_User_Prompt_Network
{

  final static int txMMBE         = CPU.pin0;
  final static int rxMMBE         = CPU.pin1;
  final static int resolver_data  = CPU.pin2;
  final static int resolver_clk   = CPU.pin3;
  final static int resolver_cs    = CPU.pin4;
  final static int tokey          = CPU.pin5;
  final static int fromkey        = CPU.pin6;
  final static int EEPROMdata     = CPU.pin7;
  final static int EEPROMclk      = CPU.pin8;
  final static int LCD_PIN        = CPU.pin9;
  final static int txPC           = CPU.pin10;
  final static int rxPC           = CPU.pin11;
  final static int dacpin         = CPU.pin12;
  final static int topnk          = CPU.pin13;
  final static int frompnk        = CPU.pin14;
  final static int undecided_15   = CPU.pin15;

  static Uart toLCD             = new Uart(Uart.dirTransmit, LCD_PIN, Uart.dontInvert,
                          Uart.speed9600,Uart.stop1);

  final static Uart toMMBE      = new Uart( Uart.dirTransmit, txMMBE, Uart.dontInvert,
                          Uart.speed9600,Uart.stop1 );

  final static Uart fromMMBE    = new Uart( Uart.dirReceive, rxMMBE, Uart.dontInvert,
                          Uart.speed9600,Uart.stop1 );

  final static Uart topink = new Uart( Uart.dirTransmit, topnk, Uart.dontInvert,
                          Uart.speed9600, Uart.stop1 );

  final static Uart frompink = new Uart( Uart.dirReceive, frompnk, Uart.dontInvert,
                          Uart.speed9600, Uart.stop1 );

  static SerialLCD LCD = new SerialLCD(toLCD);
  static I2C mem = new I2C(EEPROMdata, EEPROMclk);
  static Int32 cmd = new Int32();
  static Int32 num = new Int32();
  static Int32 number = new Int32();
  static motor MMBE = new motor(toMMBE, fromMMBE);
  static pink network = new pink(topink, frompink);
  static resolver resolver = new resolver(resolver_data, resolver_clk, resolver_cs);
  static oldDTFtable table = new oldDTFtable(MMBE, mem);
  final static int hold = 10000;
  static StringBuffer temp = new StringBuffer();
  static StringBuffer hidden = new StringBuffer();
  final static int ack = 10;
  final static int span = 4080;
  static int location;
  static int move;
  static int block;
  static int address;
  static int count;
  static int count2;
  static int set;

  final static String blank   = "NA";
  final static String display = "DISPLAY";
  final static String ip      = "IP";
  final static String mask    = "MASK";
  final static String tune    = "TUNE";
  final static String recall  = "RECALL FREQUENCY";
  final static String serial  = "SERIAL NUMBER";
  final static String part    = "PART NUMBER";
  final static String start   = "START FREQUENCY";
  final static String stop    = "STOP FREQUENCY";




  public static void main()
  {
    LCD.lighton();
    LCD.clearScr();
    LCD.cursorOff();
    CPU.delay(1000);
    network.write(19, (mem.readdata(6,4,12)).toString());
    network.write(18, (mem.readdata(6, 0, 3)).toString());
    network.write(17, (network.getmask(hidden)).toString());
    network.write(16, (network.getip(hidden)).toString());
    network.write(15, (mem.readdata(6,21,6)).toString());     //current frequency
    network.write(14, (mem.readdata(6,28,6)).toString());     //start frequency
    network.write(13, (mem.readdata(6,35,6)).toString());     //stop frequency

    while(true)
    {
      LCD.clearScr();
      LCD.write("Waiting...");
      while(true)
      {
        temp = network.getcmd(hidden);
        CPU.delay(100);
        if (temp.equals(blank) != true)
        {
          System.out.println("false");
          network.write(1, blank);
          break;
        }
      }
      LCD.clearScr();

      if (temp.equals(display))
      {
        LCD.write(network.read(2, hidden));
        network.write(2, blank);
      }

      if (temp.equals(ip))
      {
        LCD.write(network.getip(hidden));
      }

      if (temp.equals(mask))
      {
        LCD.write(network.getmask(hidden));
      }

      if(temp.equals(tune))
      {
        LCD.clearScr();
        num.set(network.read(2,hidden));
        number.set(num);
        network.write(2, blank);
        LCD.clearScr();
        LCD.write("processing");
        table.recall(num);
        mem.write(6, 21, number.toBuffer());
      }

      if(temp.equals(recall))
      {
        temp = mem.readstring(6, 21, 6);
        LCD.clearScr();
        LCD.write(temp);
      }

      if (temp.equals(serial))
      {
        temp = mem.readdata(6, 0, 3);
        LCD.clearScr();
        LCD.write(temp);
      }

      if (temp.equals(part))
      {
        temp = mem.readdata(6,4,12);
        LCD.clearScr();
        LCD.write(temp);
      }

      if (temp.equals(start))
      {
        temp = mem.readstring(6,28,6);
        LCD.clearScr();
        LCD.write(temp);
      }

      if (temp.equals(stop))
      {
        temp = mem.readstring(6, 35, 6);
        LCD.clearScr();
        LCD.write(temp);
      }
      CPU.delay(30000);
    }
  }
}